﻿
@{
    ViewData["Title"] = Serenity.LocalText.Get("Db.Northwind.Order.EntityPlural");
}

@section Head {
@Html.Script("dynamic://Lookup.Northwind.Customer")
@Html.Script("dynamic://Lookup.Northwind.CustomerCountry")
@Html.Script("dynamic://Lookup.Northwind.CustomerCity")
@Html.Script("dynamic://Lookup.Northwind.Employee")
@Html.Script("dynamic://Lookup.Northwind.OrderShipCountry")
@Html.Script("dynamic://Lookup.Northwind.OrderShipCity")
@Html.Script("dynamic://Lookup.Northwind.Product")
@Html.Script("dynamic://Lookup.Northwind.Shipper")
}

<div id="GridDiv"></div>

<script type="text/javascript">
    jQuery(function () {
        var orderGrid = new MIS.Northwind.OrderGrid($('#GridDiv'), {
        });

        var q = Q.parseQueryString();
        if (q.shippingState != null && q.shippingState.length) {
            orderGrid.set_shippingState(parseInt(q.shippingState, 10));
        }

        Q.initFullHeightGridPage($('#GridDiv'));
    });
</script>